#!/usr/bin/python3
from tkinter import *

class Application(Frame):

   def __init__(self, master):
      super(Application, self).__init__(master)
      self.grid()
      self.create_widgets()

   def create_widgets(self):
      menubar = Menu(self)
      filemenu = Menu(menubar)
      filemenu.add_command(label='Calculate', command=self.calculate)
      filemenu.add_command(label='Reset', command=self.clear)
      menubar.add_cascade(label='File', menu=filemenu)
      menubar.add_command(label='Quit', command=root.quit)
      self.label1 = Label(self, text='The Bowling Calculator')
      self.label1.grid(row=0, columnspan=3)
      self.label2 = Label(self, text='Enter score for game 1:')
      self.label3 = Label(self, text='Enter score for game 2:')
      self.label4 = Label(self, text='Enter score for game 3:')
      self.label5 = Label(self, text='Average:')
      self.label2.grid(row=2, column=0)
      self.label3.grid(row=3, column=0)
      self.label4.grid(row=4, column=0)
      self.label5.grid(row=5, column=0)
      self.score1 = Entry(self)
      self.score2 = Entry(self)
      self.score3 = Entry(self)
      self.average = Entry(self)
      self.score1.grid(row=2, column=1)
      self.score2.grid(row=3, column=1)
      self.score3.grid(row=4, column=1)
      self.average.grid(row=5, column=1)
      self.button1 = Button(self, text='Calculate Average', command=self.calculate)
      self.button1.grid(row=6, column=0)
      self.button2 = Button(self, text='Clear result', command=self.clear)
      self.button2.grid(row=6, column=1)
      self.score1.focus_set()
      root.config(menu=menubar)

   def calculate(self):
      numScore1 = int(self.score1.get())
      numScore2 = int(self.score2.get())
      numScore3 = int(self.score3.get())
      total = numScore1 + numScore2 + numScore3
      average = total / 3
      strAverage = "{0:.2f}".format(average)
      self.average.insert(0, strAverage)

   def clear(self):
      self.score1.delete(0, END)
      self.score2.delete(0,END)
      self.score3.delete(0,END)
      self.average.delete(0,END)
      self.score1.focus_set()

root = Tk()
root.title('Bowling Average Calculator')
root.geometry('500x200')
app = Application(root)
app.mainloop()
